Apex Listener Installation - ORDS, SODA & JSON in the Database

Hi
I've Oracle 11g on Windows Server 2003. I was trying to install APEX 4.0. I've run APEX installation scripts. Now next step is to configure APEX Listener. I've FORMS 10g application running on this server. For this application I am using OC4J instance.
My question is can I use this OC4J or I've to download OC4J 10.1.3.4.0 from
http://www.oracle.com/technology/software/products/ias/htdocs/utilsoft.html
and configure it separately????
I am new to APEX. I don't know much abt it...
Thanks in advance for your responses. 

Anybody.....plz help me..... 

Did you read the install doc and try it out ?
-kris 

Thanks for ur reply
I referred to Installation Guide.
http://download.oracle.com/docs/cd/E17556_01/doc/install.40/e15513/otn_install.htm#BABDDBFD
I've run apexins.sql and performed other steps. Next step is to install Apex Listener. So I reffered to
http://www.oracle.com/technology/products/database/application_express/html/apex_listener_install_web.html
But it says
"C. Installing with OC4J "
1. Download OC4J 10.1.3.4.0
http://www.oracle.com/technology/software/products/ias/htdocs/utilsoft.html
2. Unzip oc4j_extended_101340.zip
..............................................
I just want to confirm that Do I need to download and install or I can use the one which I am using for Forms10g.
I am sorry if my question appears illogical to you. Actually I am a forms developer and I don't know anything abt APEX.
Thanks again for your response 

If you are using APEX Listener, then you can't use the Forms10g install, as that is 10.1.2.x and uses JDK 1.4, where as APEX Listener requires JDK 1.6
-Richard 

So Do I need to download from above specified link or.....I cannot install both of them together???? 

You would follow those instructions, yes. You can run it on your same Forms10g server so long as there are no port conflicts and it has the resources (ram, cpu, etc) to run both. 

I'll follow the steps.....
Thanks a lot

Related

unable to install apex listener in oracle 10g xe

Hi,
i have oracle 10g xe in my window xp pro and upgraded it to application express 4 i.e apex...after that i downloaded apex lisntener1.10. and read the documentations and confused about installing and configuring it. Because i think it require jdk6 ...please help me..show me the step by step process do it...thanks 
It requires a separate application server that uses jdk16. Free servers/containers would include Tomcat 6 and Glassfish 3.
You can continue to use the included EPG that runs your Apex currently also, without an additional server setup.
-Richard 
Hi,
Thanks a lot !!
Regards
Tanveer

Documentation EA2

Hellow,
Is there any place I can find the up to date documentation about EA2, or what is released yet???
I need something to read about the changes for the 2.0 release. I spent last night searching why I couldn't use restfull webservices when in the end I hadn't executed the patch in the listener folder :p
Also if you're still under tomcat I highly recommend to not use secure access unless you have experience in setting up ssl in tomcat (https).
Thnx
Regards
Nico 
Ok I realized I'm looking in the wrong direction. If anyone needs more information about restfull webservices whatch here: http://docs.oracle.com/cd/E37097_01/doc/doc.42/e35128/restful_svc.htm#BABHHHEA
But still. Are the users that are created with the patch documented at some place. I understand they are part of the dictionary now?
Regards
Nico 
Hi Nico,
I cite the EA2 documentation (which also ships with the EA2 installation package...)
If you wish to use RESTful Services with Oracle Application Express Listener 4.1.1 you must apply a patchset to Oracle Application
Express. The patchset is not required for Oracle Application Express 4.2. Follow the instructions below:
Switch to the folder where you unzipped Oracle Application Express Listener
Open the folder named: apex_patch
Follow the instructions in the file named README.txtThis patch actually creates the APEX_LISTENER and APEX_REST_PUBLIC_USER database users.
-Udo 
Hi Udo,
Ok I see it now. The documentation is in the installation package.
Thnx
Regards
Nico 
It is not the case if you install ApEx 4.2 - these two users are NOT created in the database by the 4.2 install process. 
It is not the case if you install ApEx 4.2 - these two users are NOT created in the database by the 4.2 install process.That's only true if you didn't perform the APEX 4.2 installation as documented. Take a look at the [url http://docs.oracle.com/cd/E37097_01/doc/install.42/e35123/otn_install.htm#BABFGHFJ]corresponding part of the APEX 4.2 installation guide.
-Udo 
so it would appear! I've installed ApEx so many times that the last thing I'd do would be to RTFM ! Thank you for bringing this to my attention.
Wayne

Cannot run listenerConfigure

Installed Glassfish Server Open Source Edition 3.1.2.2 (build 5)
Installed the Apex Listener EA2.0
After deploying the apex.war, I attempt to go to http://localhost:8080/listenerConfigure, but I get the following error:
"This installation has not yet been configured. Please consult your Oracle Application Express Listener documentation..."
This is the first install on this server, and the first attempt to hit the listenerConfigure link, so I must have missed a step somewhere. I've gone back over the docs and scoured this forum to no avail, though.
Any suggestions why I can't perform the initial configuration?
Thanks in advance!
Bill 
Hello, and welcome to the OTN forums,
Installed the Apex Listener EA2.0 ... according to which instructions?
After deploying the apex.war, I attempt to go to http://localhost:8080/listenerConfigureWhy do you do that? The 2.0 EA doesn't have this interface anymore. Either use the command line interface or SQL Developer (3.2 onwards) to configure your APEX Listener instance, as documented in the EAs installation guide.
-Udo 
Thanks for the reply! based on your comments i reviewed my docs and realized I'm using the install guide for 1.1!

apex 2.0 installation question

Hello,
I have APEX 4.2 upgrade already.
Then I download and configured apex 2.0 EA release.
1. I configured not using restful webservice all works.
2. Now I want configure it to use web service then it needs user apex_listener and apex_rest_public user. Where is the script to install these two users in APEX 4.2? I found in patch folder there is some script but they are supposed to run against apex 4.1.
Please help get RESTFul configured.
Thanks,
Robin
Edited by: user11109786 on Dec 3, 2012 11:04 AM 
Hello Robin,
there is a script named apex_rest_config.sql in the APEX 4.2 installation package...
See the [url http://docs.oracle.com/cd/E37097_01/doc/install.42/e35123/otn_install.htm#BABFGHFJ]APEX 4.2 Installation Guide for details.
-Udo 
Thanks for the reply. I did missed this step. Now the users are created.
Robin 
Hello! Could you please a link how to upgrade Apex 4.1 to 4.2
Thank you in advance! 
Hello,
this question doesn't really belong to this forum and neither to this thread.
Anyway, use the link to the Installation Guide provided above - upgrade installations are covered by that guide as well. In fact, an upgrade is pretty similar to a new installation. All steps different for upgrade installations are documented.
If you need any further help, please open a new thread in {forum:id=137}.
Thanks,
Udo

ava Servlet Specification 2.3 or later.

Dear all,
i have installed apex_4.2.1 on oracle 11g xe using microsoft windows environment.
now i have downloaded the latest version of Oracle Application Express Listener which required Java Servlet Specification 2.3 or later.
from where i could download and installable version of Java Servlet Specification 2.3 or later?
kindly guide me.
Regards. 
Hi,
About System Requirements
Java Servlet Specification 2.3 or higher.That just means you need to run it in a container that support that version of the spec or later.
For example, Tomcat 6, or Glassfish 3, or actually just about anything you will come across these days.
Regards, 
hi,
thank you so much, i am just downloading it, and will update you after installation.
thank you so much. 
hi,
i have downloaded and installed glassfish.
it works, but a little problem occured during the apex listener installation.
it asks as below
Enter the APEX static resources location or Enter to skip:what should i put here?
regards. 
Hi,
You need to answer with the path to the image folder inside the APEX installation.
Regards,

Categories

Resources